Subject: Re: bug#57563: 28.1; macOS - layout warning at startup

From: Po Lu <[email-masked]>
Date: Fri, 16 Sep 2022 21:26:07 +0800

Bob Kline <[email-masked]> writes:

> So the launcher does not appear to be involved with the bug after all.
> MacOS 12 appears to be happy running an Emacs (any version) built on
> macOS 12, but unhappy running Emacs built on macOS 10.14. It seems
> plausible that the reason the bug doesn't surface on arm64 is that
> macOS 12 has no problems with an Emacs built on macOS 11, and the
> launcher can find a macOS 11 Emacs for arm64 but not for x86_64. I
> tried to set up a machine with macOS 10.14 or macOS 11 to see if the
> bug showed up there, but it seems that Apple doesn't want users
> installing older versions of macOS on their computers (Apple has
> instructions [1] for downloading installers for those versions, but
> when you follow the links you are taken to the Apple store where you
> can click "Get" and watch the download progress to the end followed by
> an error message saying that the installer was launched and failed,
> and instead of dropping the launcher into the file system so you can
> put it on some removable media the download is nowhere to be found, as
> far as I could see).

I guess that means we do something different when the min version macro
is set to 10.14 or earlier.  Or maybe if the max version macro is set to
10.14 or later - is Mac OS 12 newer than OS X 10.12, or are both of
these the same?